Pull Request Labels - Delete

從指派給提取要求的標籤集合中移除標籤 (標籤) 。 不會刪除標記本身。

DELETE https://dev.azure.com/{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels/{labelIdOrName}?api-version=7.1-preview.1
DELETE https://dev.azure.com/{organization}/{project}/_apis/git/repositories/{repositoryId}/pullRequests/{pullRequestId}/labels/{labelIdOrName}?projectId={projectId}&api-version=7.1-preview.1

URI 參數

名稱 位於 必要 類型 Description
labelIdOrName
path True

string

所要求標籤的名稱或識別碼。

organization
path True

string

Azure DevOps 組織的名稱。

pullRequestId
path True

integer (int32)

提取要求的識別碼。

repositoryId
path True

string

提取要求目標分支的存放庫識別碼。

project
path

string

專案識別碼或專案名稱

api-version
query True

string

要使用的 API 版本。 這應該設定為 '7.1-preview.1' 以使用此版本的 API。

projectId
query

string

專案識別碼或專案名稱。

回應

名稱 類型 Description
200 OK

成功的作業

安全性

oauth2

類型: oauth2
Flow: accessCode
授權 URL: https://app.vssps.visualstudio.com/oauth2/authorize&response_type=Assertion
權杖 URL: https://app.vssps.visualstudio.com/oauth2/token?client_assertion_type=urn:ietf:params:oauth:client-assertion-type:jwt-bearer&grant_type=urn:ietf:params:oauth:grant-type:jwt-bearer

範圍

名稱 Description
vso.code_write 授與讀取、更新和刪除原始程式碼、存取認可、變更集、分支和其他版本控制成品的中繼資料的能力。 也授與建立和管理提取要求和程式碼檢閱的能力,以及透過服務勾點接收有關版本控制事件的通知。